'use strict';

var index = require('../complex/index.js');
var filter = require('../complex/filter.js');
var mask = require('../complex/mask.js');
var defaults = require('../maps/defaults.js');

const customTypes = /*@__PURE__*/ new Set([filter.filter, mask.mask]);
function getAnimatableNone(key, value) {
    let defaultValueType = defaults.getDefaultValueType(key);
    if (!customTypes.has(defaultValueType))
        defaultValueType = index.complex;
    // If value is not recognised as animatable, ie "none", create an animatable version origin based on the target
    return defaultValueType.getAnimatableNone
        ? defaultValueType.getAnimatableNone(value)
        : undefined;
}

exports.getAnimatableNone = getAnimatableNone;
